## Class Auth_OpenID_SQLiteStore

Description

An SQL store that uses SQLite as its backend.

- author: JanRain, Inc. <openid@janrain.com>

Located in /Auth/OpenID/SQLiteStore.php (line 19)

    Auth_OpenID_OpenIDStore
       |
       --Auth_OpenID_SQLStore
          |
          --Auth_OpenID_SQLiteStore

Method Summary
void setSQL ()
Methods
setSQL (line 20)
void setSQL ()

Redefinition of:

Auth_OpenID_SQLStore::setSQL()
  This method should be overridden by subclasses. This method is called by the constructor to set values in $this->sql, which is an array keyed on sql name.

#### Inherited Methods

Inherited From Auth_OpenID_SQLStore

> Auth_OpenID_SQLStore::Auth_OpenID_SQLStore()
> Auth_OpenID_SQLStore::blobDecode()
> Auth_OpenID_SQLStore::blobEncode()
> Auth_OpenID_SQLStore::cleanupAssociations()
> Auth_OpenID_SQLStore::cleanupNonces()
> Auth_OpenID_SQLStore::createTables()
> Auth_OpenID_SQLStore::create_assoc_table()
> Auth_OpenID_SQLStore::create_nonce_table()
> Auth_OpenID_SQLStore::getAssociation()
> Auth_OpenID_SQLStore::isError()
> Auth_OpenID_SQLStore::removeAssociation()
> Auth_OpenID_SQLStore::reset()
> Auth_OpenID_SQLStore::resultToBool()
> Auth_OpenID_SQLStore::setSQL()
> Auth_OpenID_SQLStore::storeAssociation()
> Auth_OpenID_SQLStore::tableExists()
> Auth_OpenID_SQLStore::useNonce()

Inherited From Auth_OpenID_OpenIDStore

> Auth_OpenID_OpenIDStore::cleanup()
> Auth_OpenID_OpenIDStore::cleanupAssociations()
> Auth_OpenID_OpenIDStore::cleanupNonces()
> Auth_OpenID_OpenIDStore::getAssociation()
> Auth_OpenID_OpenIDStore::removeAssociation()
> Auth_OpenID_OpenIDStore::reset()
> Auth_OpenID_OpenIDStore::storeAssociation()
> Auth_OpenID_OpenIDStore::supportsCleanup()
> Auth_OpenID_OpenIDStore::useNonce()

Documentation generated on Tue, 21 Apr 2009 11:31:33 -0700 by phpDocumentor 1.3.2